# Uses of Class co.aikar.commands.ConditionContext (ACF (Core) 0.5.1-SNAPSHOT API)
use: package: co.aikar.commands, class: ConditionContext

# Uses of Class
co.aikar.commands.ConditionContext

Packages that use ConditionContext
Package
Description
co.aikar.commands

## Uses of ConditionContext in co.aikar.commands

Classes in co.aikar.commands with type parameters of type ConditionContext
Modifier and Type
Class
Description
`class`
`CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>`
`class`
`CommandManager<IT,I extends CommandIssuer,FT,MF extends MessageFormatter<FT>,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>`
Methods in co.aikar.commands that return ConditionContext
Modifier and Type
Method
Description
`ConditionContext`
CommandManager.`createConditionContext(CommandIssuer issuer, String config)`
Methods in co.aikar.commands with parameters of type ConditionContext
Modifier and Type
Method
Description
`void`
CommandConditions.Condition.`validateCondition(ConditionContext<I> context)`
`void`
CommandConditions.ParameterCondition.`validateCondition(ConditionContext<I> context, CEC execContext, P value)`